xfreerdp(1)

NAME
xfreerdp - X11 front-end for FreeRDP

SYNOPSIS
xfreerdp [options] server[:port] [[options] server[:port] ...]

DESCRIPTION
xfreerdp is a front-end for various FreeRDP components, which implement a client of the Remote Desktop Protocol (RDP), used in a number of Microsoft products including Windows NT Terminal Server, Windows 2000 Server, Windows XP, Windows 2003 Server, Windows Vista, Windows 2008 Server and Windows 7, but also implemented by xrdp and VirtualBox. xfreerdp can connect to multiple servers if more than one server addresses are specified, and each session runs in a separate window.

OPTIONS

-u <username>
    Username for authentication on the server.

-d <domain>
    Domain for authentication.

-p <password>
    The password to authenticate with. Note that this may have no effect if "Always prompt for password" is enabled on the server. WARNING: if you specify a password on the command line it may be visible to other users when they use tools like ps.

-s <shell>
    Startup shell for the session - starts a specific application instead of Explorer.

-c <directory>
    The initial working directory for the session. Often used in combination with -s to set up a fixed login environment.

-n <hostname>
    Client hostname reported to the server. Normally xfreerdp automatically obtains the hostname of the client.

-t <port>
    Server port number. Default is the standard RDP port 3389. Can also be specified as ":<port>" after the server hostname.

-g <geometry>
    Desktop geometry (WxH).

-a <bpp>
    Sets the color depth for the connection (8, 15, 16, 24 or 32). More than 8 bpp are only supported when connecting to Windows XP (up to 24 bpp) or newer. Note that the color depth may also be limited by the server configuration. The default value is the depth of the root window.

-z  Enable compression inside the encrypted RDP datastream.

-f  Full screen mode. Causes the window to fully cover the current screen. This mode can be toggled at any time using Ctrl-Alt-Enter

-x <experience>
    Changes default bandwidth performance behaviour for RDP5. By default only theming is enabled, and all other options are disabled (corresponding to modem (56 Kbps)). Setting experience to b[roadband] enables menu animations and full window dragging. Setting experience to l[an] will also enable the desktop wallpaper. Setting experience to m[odem] disables all (including themes). Experience can also be a hexidecimal number containing the flags.

-0  Attach to the admin console of the server. This is the default if no server license is available.

-o  Play audio on the server side.

-k  Force particular keyboard layout ID.

--kbd-list
    List all available keyboard layout IDs and exit.

--no-tls
    Disable TLS encryption.

--no-osb
    Disable off screen bitmaps.

-h  Print help message.

--version
    Print version information.

--plugin <pluginname> [--data <plugindata> --]
    Load a Virtual Channel plugin module, and optionally pass initial parameters to it. <pluginname> can be the virtual channel name, or a path specifying the plugin module. If the virtual channel name was passed, xfreerdp will try to locate the plugin module in its plugin path ${prefix}/lib/freerdp. Some plugins support retrieving initial parameters. Add --data argument after the <pluginname> in order to pass such parameters, and end it with --. The --plugin argument can be repeated more than once if there are multiple plugins to load. Following plugins are currently supported:

--plugin cliprdr
    Synchronize client and server clipboard data. Plain text, Unicode text, HTML content and images are supported.

--plugin rdpsnd
    Redirects sound generated on the server to the client.

--plugin rdpdr --data <subplugin> [<subplugin> ...] --
    Redirects file system devices on your client to the server. <subplugin> can be one of more of the following: disk:<sharename>:<path> Redirect <path> to the server as shared folder \\tsclient\<sharename>. printer[:<printername>[:<driver>]] Redirect printers to the server. If both <printername> and <driver> are omitted, the printer sub-plugin will automatically redirect all CUPS printers using the default PostScript driver "MS Publisher Imagesetter". serial:<sharename>:<device> Redirect serial <device> to the server. It will be referenced by <sharedname>. parallel:<sharedname>:<lptdevice> Redirects parallel device <lptdevice> on your client to the server, where it will be referenced by <sharedname>. Bidirectional/Read support requires Windows XP or newer.

--plugin drdynvc --data <subplugin> [<subplugin> ...] --
    Load the Dynamic Virtual Channel. <subplugin> can be the DVC sub-plugin name, or a path specifying the sub-plugin module. If the DVC sub-plugin name was passed, xfreerdp will try to locate the sub-plugin in its plugin path ${prefix}/lib/freerdp. Following DVC sub-plugins are currently supported: audin Redirect audio recording device to the server. This is an RDP 7.0 feature available in Windows 7, Windows 2008 and Windows 2008 R2. Note that Windows 7 Enterprise edition and Windows 2008 Server has audio redirection disable by default.

LINKS
Main website of FreeRDP
http://www.freerdp.com/